org.eclipse.wst.jsdt.jsdoc

## Class Util

- java.lang.Object
- - org.eclipse.wst.jsdt.jsdoc.Util

    public class Util
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `NEW_LINE`
`static boolean` `VERBOSE`
`static java.lang.String` `XSL_FOOTER`
`static java.lang.String` `XSL_HEADER`

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `applyTranslation(java.lang.String text, java.io.File translation)`
`static java.io.File` `dataToTempFile(java.lang.String data)`
`static java.lang.String` `fileToString(java.lang.String fileName)`
`static java.lang.String` `getBaseUrl(java.lang.String url)`
`static java.lang.String` `retrieveFromUrl(java.lang.String url, boolean useCache, boolean deleteOnExit)`
`static java.lang.String` `retrieveFromUrlFixEncode(java.lang.String url, boolean useBuffer, boolean deleteOnExit)`
`static java.io.File` `stringToFile(java.lang.String data, java.lang.String fileName, boolean appendToEnd, boolean deleteOnExit)`
`static java.lang.String` `toUniqueFileName(java.lang.String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XSL_HEADER

    public static final java.lang.String XSL_HEADER

See Also:
  Constant Field Values

#### XSL_FOOTER

    public static final java.lang.String XSL_FOOTER

See Also:
  Constant Field Values

#### NEW_LINE

    public static final java.lang.String NEW_LINE

#### VERBOSE

    public static final boolean VERBOSE

See Also:
  Constant Field Values

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### retrieveFromUrl

    public static java.lang.String retrieveFromUrl(java.lang.String url,
                                                   boolean useCache,
                                                   boolean deleteOnExit)
                                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### toUniqueFileName

    public static java.lang.String toUniqueFileName(java.lang.String url)

#### retrieveFromUrlFixEncode

    public static java.lang.String retrieveFromUrlFixEncode(java.lang.String url,
                                                            boolean useBuffer,
                                                            boolean deleteOnExit)
                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### applyTranslation

    public static java.lang.String applyTranslation(java.lang.String text,
                                                    java.io.File translation)
                                             throws MappingException

Throws:
  `MappingException`

#### dataToTempFile

    public static java.io.File dataToTempFile(java.lang.String data)

#### fileToString

    public static java.lang.String fileToString(java.lang.String fileName)
                                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### stringToFile

    public static java.io.File stringToFile(java.lang.String data,
                                            java.lang.String fileName,
                                            boolean appendToEnd,
                                            boolean deleteOnExit)

#### getBaseUrl

    public static java.lang.String getBaseUrl(java.lang.String url)